PKG-UPDATE(8)

NAME
pkg update - updates remote package repository databases

SYNOPSIS
pkg update [-q]

DESCRIPTION
pkg update is used for updating from remote package repository databases.

The remote repository databases to be updated are defined in the pkg.conf(5) file.

It is always a good idea to update your remote package repositories before doing a remote install via pkg-install(8) or upgrades via pkg-upgrade(8).

  Signed repositories
If the repository is signed and PUBKEY is defined, it will be verified after being downloaded. See pkg.conf(5) for more information.

OPTIONS
The following options are supported by pkg update:

-q  Force quiet output

ENVIRONMENT
The following environment variables affect the execution of pkg update. See pkg.conf(5) for further description.

PACKAGESITE

PKG_DBDIR

PKG_MULTIREPOS

PUBKEY

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8), pkg.conf(5)